Debian Bug Tracking System | 1 Dec 07:45 2011
Picon

Processed: Proposed patch

Processing commands for control <at> bugs.debian.org:

> tags 649830 patch
Bug #649830 [tex-gyre] please transition away from defoma
Added tag(s) patch.
> thanks
Stopping processing here.

Please contact me if you need assistance.
--

-- 
649830: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=649830
Debian Bug Tracking System
Contact owner <at> bugs.debian.org with problems

Christian PERRIER | 1 Dec 07:44 2011
Picon

Bug#649830: Proposed patch

tags 649830 patch
thanks

Please find attached a patch that implements dropping defoma support
in your package. Please notice that I left the hints file in place as
there is apparently some magic done from it to provide "scale" files
in debian/rules.

--

-- 

Attachment (tex-gyre.patch): text/x-diff, 2927 bytes
Debian Bug Tracking System | 3 Dec 00:57 2011
Picon

Processed: reassign 255241 to xmltex, retitle 255241 to ampersand entities in XML documents break pdfxmltex

Processing commands for control <at> bugs.debian.org:

> reassign 255241 xmltex
Bug #255241 [xmlto] xmlto: amp entity in url attribute breaks PDF generation
Bug reassigned from package 'xmlto' to 'xmltex'.
Bug No longer marked as found in versions 0.0.18-4.
> retitle 255241 ampersand entities in XML documents break pdfxmltex
Bug #255241 [xmltex] xmlto: amp entity in url attribute breaks PDF generation
Changed Bug title to 'ampersand entities in XML documents break pdfxmltex' from 'xmlto: amp entity in url
attribute breaks PDF generation'
> thanks
Stopping processing here.

Please contact me if you need assistance.
--

-- 
255241: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=255241
Debian Bug Tracking System
Contact owner <at> bugs.debian.org with problems

James Page | 6 Dec 13:47 2011

Bug#651169: luatex: Patch for porting to poppler 0.18

Package: luatex
Version: 0.70.1-1
Severity: normal
Tags: patch
User: ubuntu-devel <at> lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Dear Maintainer,

In http://bugs.debian.org/644447 there is some discussion about
updating poppler to 0.18 in Debian. This will cause some FTBFS. We are
doing the transition in Ubuntu now and want to forward patches so that
they are readily available in Ubuntu once 0.18 lands there.

This patch updates luatex to remove the aspects of the poppler API that
are not present in 0.18 and was taken from Gentoo -see 
https://bugs.gentoo.org/384875 for more details.

Thanks for considering the patch.

- -- System Information:
Debian Release: wheezy/sid
  APT prefers precise-updates
  APT policy: (500, 'precise-updates'), (500, 'precise-security'), (500, 'precise')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-generic (SMP w/8 CPU cores)
(Continue reading)

Debian Bug Tracking System | 9 Dec 05:15 2011
Picon

Processed: block 651494 with 635070 648871 649828 542338 649825 649826 649827 649829 649830 649831 651493 539338 542336

Processing commands for control <at> bugs.debian.org:

> block 651494 with 635070 648871 649828 542338 649825 649826 649827 649829 649830 649831 651493 539338 542336
Bug #651494 [ftp.debian.org] RM: defoma -- RoQA; Debian-specific, unmaintained, obsoleted by fontconfig
Was not blocked by any bugs.
Added blocking bug(s) of 651494: 635070, 649830, 542338, 649825, 649831, 651493, 539338, 649829,
649981, 649827, 649828, 648871, 542336, and 649826
> thanks
Stopping processing here.

Please contact me if you need assistance.
--

-- 
651494: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=651494
Debian Bug Tracking System
Contact owner <at> bugs.debian.org with problems

Barak A. Pearlmutter | 9 Dec 16:00 2011
Picon

Bug#596702: texdoctk expects non-free software

The attempt to use acroread happens even when the PDFVIEWER
environment variable is set to xpdf, which is the API used by
xfig-pdf-viewer(1).

This issue really should be worked around.  It might be reasonable to
set xfig-pdf-viewer as the default viewer, or perhaps just use the
standard mime mechanisms.

Also, note that the following are the approved Debian ways to follow a
URL, edit a file, and page text

  sensible-browser
  sensible-editor
  sensible-pager

They would make good defaults in the relevant fields of texdoctk's
default configuration.

					--Barak.
--
Barak A. Pearlmutter
 Hamilton Institute & Dept Comp Sci, NUI Maynooth, Co. Kildare, Ireland
 http://www.bcl.hamilton.ie/~barak/

Hilmar Preuße | 9 Dec 16:48 2011
X-Face
Picon

Bug#651169: luatex: Patch for porting to poppler 0.18

On 06.12.11 James Page (james.page <at> ubuntu.com) wrote:

> Package: luatex
> Version: 0.70.1-1
> Severity: normal
> Tags: patch
> User: ubuntu-devel <at> lists.ubuntu.com
> Usertags: origin-ubuntu precise ubuntu-patch
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
> 
> Dear Maintainer,
> 
> In http://bugs.debian.org/644447 there is some discussion about
> updating poppler to 0.18 in Debian.  This will cause some FTBFS. 
> We are doing the transition in Ubuntu now and want to forward
> patches so that they are readily available in Ubuntu once 0.18
> lands there.
> 
Thanks for notification.

Upstream has a better patch, which uses the features of 0.17 as long
as 0.17 is available.

http://foundry.supelec.fr/gf/project/luatex/scmsvn/?action=browse&path=%2Ftrunk%2Fsource%2Ftexk%2Fweb2c%2Fluatexdir%2Flua%2Flepdflib.cc&r1=4343&r2=4346&view=patch

We should use that one.

Hilmar
(Continue reading)

Hilmar Preuße | 10 Dec 00:09 2011
Picon

SVN luatex commit: r4986 - in luatex/trunk/debian: . patches

Author: hilmar-guest
Date: 2011-12-09 23:09:27 +0000 (Fri, 09 Dec 2011)
New Revision: 4986

Added:
   luatex/trunk/debian/patches/libpoppler-0.18
Modified:
   luatex/trunk/debian/changelog
   luatex/trunk/debian/patches/series
Log:
poppler 0.18

[For the full diff, use svn diff.]

--

-- 
To UNSUBSCRIBE, email to debian-tex-maint-request <at> lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster <at> lists.debian.org
Archive: http://lists.debian.org/E1RZ9ZH-0004WF-GR <at> vasks.debian.org

Hilmar Preuße | 10 Dec 00:25 2011
X-Face
Picon

Bug#651169: luatex: Patch for porting to poppler 0.18

On 06.12.11 James Page (james.page <at> ubuntu.com) wrote:

Hi,

> In http://bugs.debian.org/644447 there is some discussion about
> updating poppler to 0.18 in Debian. This will cause some FTBFS. We are
> doing the transition in Ubuntu now and want to forward patches so that
> they are readily available in Ubuntu once 0.18 lands there.
> 
I applied the patch from upstream as mentioned in my last E-Mail. I
can build luatex and it seems to work OK. Can you provide packages
for poppler 0.18 for Debian? I'd like to test if the patch solves the
FTBFS problem.

H.
--

-- 
sigmentation fault
Hilmar Preuße | 10 Dec 00:13 2011
Picon

SVN luatex commit: r4987 - luatex/trunk/debian

Author: hilmar-guest
Date: 2011-12-09 23:13:42 +0000 (Fri, 09 Dec 2011)
New Revision: 4987

Modified:
   luatex/trunk/debian/changelog
Log:
poppler 0.18

[For the full diff, use svn diff.]

--

-- 
To UNSUBSCRIBE, email to debian-tex-maint-request <at> lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster <at> lists.debian.org
Archive: http://lists.debian.org/E1RZ9dP-0004lT-Ae <at> vasks.debian.org


Gmane